import * as React from 'react';
import { CSSContext, CSSFetchState, CSSMap } from './CSSContext';
interface CSSProviderProps {
    cssMap: CSSMap;
}
export declare class CSSProvider extends React.Component<CSSProviderProps, CSSContext> {
    /**
     * @constructor
     * @param {Readonly<CSSProviderProps>} props
     */
    constructor(props: Readonly<CSSProviderProps>);
    /**
     * update CSS-Map in CSSContext.
     * @param {string} href
     */
    update: (href: string) => void;
    /**
     * multiple update CSS-Map in CSSContext.
     * @param {string[]} hrefs
     */
    multiUpdate: (hrefs: string[]) => void;
    /**
     * set new CSS-Map state.
     * @param {string} href
     * @param {CSSFetchState} state
     */
    updateCSSMap(href: string, state: CSSFetchState): void;
    render(): JSX.Element;
}
export {};
